Subject: bug#72120: closed (Re: bug#72120: [PATCH] Fix intermittent failure of dired-test-bug27243-02)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 06 Jan 2025 09:19:02 +0000

Your bug report

#72120: [PATCH] Fix intermittent failure of dired-test-bug27243-02

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72120: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72120
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#72120: [PATCH] Fix intermittent failure of dired-test-bug27243-02
From: Stefan Kangas <[email-masked]>
To: Peter Oliver <[email-masked]>
Cc: [email-masked]
Date: Mon, 6 Jan 2025 03:18:50 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 31.1

Peter Oliver <[email-masked]> writes:

> On Mon, 15 Jul 2024, Stefan Kangas wrote:
>
>> Peter Oliver <[email-masked]> writes:
>>
>>> A patch is attached which I believe may fix an intermittent failure of
>>> test dired-test-bug27243-02.
>>
>> Thanks, installed on emacs-30 as commit a7b68c25640.
>
> I’m afraid the intermittent failure came back.  Attached is a second attempt to fix it.

Thanks for the patch, and sorry for the delay in replying here.  I saw
this test fail again today, which reminded me to install your patch.

Now pushed to master as commit 6a389d5be47, and I'm bravely closing the
bug now.  Let's reopen if it comes back.

Subject: [PATCH] Fix intermittent failure of dired-test-bug27243-02
From: Peter Oliver <[email-masked]>
To: [email-masked]
Date: Mon, 15 Jul 2024 12:12:50 +0100 (BST)
List-Id: <debbugs-submit.debbugs.gnu.org>

A patch is attached which I believe may fix an intermittent failure of test dired-test-bug27243-02.

Thanks.

-- 
Peter Oliver

From c86645dde30fbd54ae0f187e4428a09ad75e0ba8 Mon Sep 17 00:00:00 2001
From: Peter Oliver <[email-masked]>
Date: Mon, 15 Jul 2024 12:03:47 +0100
Subject: [PATCH] Fix intermittent failure of dired-test-bug27243-02

* test/lisp/dired-tests.el (dired-test-bug27243-02): Exclude free disk
space from dired listing in this test, in case it changes while it's
running and confuses the result.
---
 test/lisp/dired-tests.el | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/test/lisp/dired-tests.el b/test/lisp/dired-tests.el
index 2589281e5e1..ea47043dfc5 100644
--- a/test/lisp/dired-tests.el
+++ b/test/lisp/dired-tests.el
@@ -189,7 +189,9 @@ dired-test-bug27243-01
 (ert-deftest dired-test-bug27243-02 ()
   "Test for https://debbugs.gnu.org/cgi/bugreport.cgi?bug=27243#28 ."
   (ert-with-temp-directory test-dir
-    (let ((dired-auto-revert-buffer t) buffers)
+    (let ((dired-auto-revert-buffer t)
+          (dired-free-space nil)
+          buffers)
       ;; On MS-Windows, get rid of 8+3 short names in test-dir, if the
       ;; corresponding long file names exist, otherwise such names trip
       ;; string comparisons below.
-- 
2.45.2